#include <iostream>
using namespace std;

void string_swap(string* str1, string* str2)
{
    string str3 = *str2;
    *str2 = *str1;
    *str1 = str3;
}

int main() {
    string str1;
    string str2;
    string str3;

    cin >> str1 >> str2;

    if(str1.size() < str2.size())
    {
        string_swap(&str1, &str2);
    }

    for(int i = 0; i < str1.size() - str2.size(); i++)
    {
        str3.push_back(str1.at(i));
    }

    for(int i = 0; i < str2.size(); i++)
    {
        if(str2.at(i) != str1.at(i + str1.size() - str2.size())) {
            str3.push_back(
                    (str2.at(i) < str1.at(i + str1.size() - str2.size())) ? str1.at(i + str1.size() - str2.size())
                                                                          : str2.at(i));
        }
        else
        {
            str3.push_back(str2.at(i));
            str3.push_back(str2.at(i));
        }
    }

    cout << str3 << endl;

    return 0;
}